complexType "ResetDates"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | calculationPeriodDatesReference, resetRelativeTo?, initialFixingDate?, fixingDates, rateCutOffDaysOffset?, resetFrequency, resetDatesAdjustments
</...>

Content Model Elements (7):

  calculationPeriodDatesReference (in resetDates), fixingDates (in resetDates), initialFixingDate (in resetDates), rateCutOffDaysOffset, | resetDatesAdjustments, resetFrequency (in resetDates), resetRelativeTo (in resetDates)

All Direct / Indirect Based Elements (1):

  resetDates

Known Usage Locations

- As direct type of elements (1):
  resetDates

Annotation
A type defining the parameters used to generate the reset dates schedule and associated fixing dates. The reset dates are determined relative to the calculation periods schedules dates.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ResetDates"> <xsd:sequence> <xsd:element name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/> <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"/> <xsd:element minOccurs="0" name="initialFixingDate" type="RelativeDateOffset"/> <xsd:element name="fixingDates" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="rateCutOffDaysOffset" type="Offset"/> <xsd:element name="resetFrequency" type="ResetFrequency"/> <xsd:element name="resetDatesAdjustments" type="BusinessDayAdjustments"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | required

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="required"/>

Content Element Detail (all declarations; defined within this component only; 7/7)
calculationPeriodDatesReference

  Type: | CalculationPeriodDatesReference, empty content

  A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/>

fixingDates

  Type: | RelativeDateOffset, complex content

  Specifies the fixing date relative to the reset date in terms of a business days offset and an associated set of financial business centers. Normally these offset calculation rules will be those specified in the ISDA definition for the relevant floating rate index (ISDA's Floating Rate Option). However, non-standard offset calculation rules may apply for a trade if mutually agreed by the principal parties to the transaction. The href attribute on the dateRelativeTo element should reference the id attribute on the resetDates element.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixingDates" type="RelativeDateOffset"/>

initialFixingDate

  Type: | RelativeDateOffset, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="initialFixingDate" type="RelativeDateOffset"/>

rateCutOffDaysOffset

  Type: | Offset, complex content

  Specifies the number of business days before the period end date when the rate cut-off date is assumed to apply. The financial business centers associated with determining the rate cut-off date are those specified in the reset dates adjustments. The rate cut-off number of days must be a negative integer (a value of zero would imply no rate cut off applies in which case the rateCutOffDaysOffset element should not be included). The relevant rate for each reset date in the period from, and including, a rate cut-off date to, but excluding, the next applicable period end date (or, in the case of the last calculation period, the termination date) will (solely for purposes of calculating the floating amount payable on the next applicable payment date) be deemed to be the relevant rate in effect on that rate cut-off date. For example, if rate cut-off days for a daily averaging deal is -2 business days, then the refix rate applied on (period end date - 2 days) will also be applied as the reset on (period end date - 1 day), i.e. the actual number of reset dates remains the same but from the rate cut-off date until the period end date, the same refix rate is applied. Note that in the case of several calculation periods contributing to a single payment, the rate cut-off is assumed only to apply to the final calculation period contributing to that payment. The day type associated with the offset must imply a business days offset.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateCutOffDaysOffset" type="Offset"/>

resetDatesAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention to apply to each reset date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resetDatesAdjustments" type="BusinessDayAdjustments"/>

resetFrequency

  Type: | ResetFrequency, complex content

  The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resetFrequency" type="ResetFrequency"/>

resetRelativeTo

  Type: | ResetRelativeToEnum, simple content

  Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date. If the reset frequency is specified as daily this element must not be included.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriodStartDate" | - | Resets will occur relative to the first day of each calculation period. See: http://www.FpML.org
  "CalculationPeriodEndDate" | - | Resets will occur relative to the last day of each calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.